@import url('https://fonts.googleapis.com/css2?family=Playfair:ital,opsz,wght@0,5..1200,300..900;1,5..1200,300..900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Philosopher:ital,wght@0,400;0,700;1,400;1,700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Alexandria:wght@100..900&display=swap');


body {
    /* font-family: "Playfair", serif; */
    font-family: "Alexandria", sans-serif;

}

header{
        font-family: "Playfair", serif;

}

a,button{
    cursor: pointer;
}


.alex_font{
    font-family: "Alexandria", sans-serif;
}

.philosopher_font{
    font-family: "Philosopher", sans-serif;
}


.lato-font {
    font-family: "Lato", sans-serif;

}

.productMain .swiper-slide {
    height: 100%;
}



.scroll_top_btn {
  opacity: 0;
  cursor: pointer;
  position: fixed;
  bottom: 70px;
  left: 10px;
  z-index: 99;
}
#loader{
    position: fixed;
    z-index: 9999999;
    height: 100vh;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: #ffffffe0;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
} 
.scroll_top_btn img {
  width: 50px;
}

.overlay-wrapper {position: fixed;z-index: 999;height: 100vh;display:none;top: 0;left: 0;bottom: 0;right: 0;background:radial-gradient(rgb(20 20 20 / 35%), rgb(0 0 0 / 1%));}			.spinner {width: 75px;height: 75px;display: inline-block;border-width: 5px;border-color: rgb(0 0 0 / 35%);border-top-color: #1e1e1e;animation: spin 1s infinite linear;border-radius: 100%;position: absolute;top: 0;bottom: 0;right: 0;left: 0;margin: auto;border-style: solid;}
@keyframes spin {
	100% {transform: rotate(360deg);}
}



.peer:checked~.peer-checked\:bg-\[\#1e381e0a\] {
    background-color: #1e381e0a;
}




.all_options input:checked+.main_bg_box .inner_span_round {
    display: block;
}


.peer:checked~.peer-checked\:border-\[\#A6A6A6\] {
    --tw-border-opacity: 1;
    border-color: rgb(166 166 166 / var(--tw-border-opacity));
}

/* Chrome, Safari, Edge */
input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

.validate-has-error {
    display: block;
    font-size: 14px;
    color: #cc3f44;
    position: absolute;
    bottom: -20px;

}



.peer:checked ~ .peer-checked\:border-\[\#1E381E\] {
    --tw-border-opacity: 1;
    border-color: rgb(30 56 30 / var(--tw-border-opacity));
}

.all_options label input:checked+.main_bg_box .main_out_line {
    border-color: black;
}


.all_options label input:checked+.main_bg_box .main_out_line span {
    background-color: black;
}

.all_options input:checked + .main_bg_box .inner_span_round {
    display: block;
}

 /* Default thumbnail */
.mySwiper8 .thumb-box {
    border: 2px solid #e5e7eb;   /* gray */
    transition: border-color 0.3s ease;
}

/* Active thumbnail */
.mySwiper8 .swiper-slide-thumb-active .thumb-box {
    border: 2px solid #000000;   /* black */
}




/* Main box */
.select2-container--default .select2-selection--single {
    height: 48px;
    border: 1px solid #e5e7eb; /* gray-200 */
    border-radius: 0px;
    padding: 8px 12px;
    display: flex;
    align-items: center;
    font-size: 14px;
}

/* On focus */
.select2-container--default.select2-container--focus .select2-selection--single {
    border-color: black;
    box-shadow: none;
}

/* Dropdown arrow */
.select2-selection__arrow {
    height: 48px !important;
}

/* Dropdown box */
.select2-dropdown {
    border: 1px solid #e5e7eb;
}